Name:           iio-oscilloscope
Version:        0.17
Release:        1%{?dist}
Summary:        IIO Oscilloscope

License:        GPL-2.0-or-later
URL:            https://github.com/analogdevicesinc/iio-oscilloscope/
Source0:        https://github.com/analogdevicesinc/iio-oscilloscope/archive/refs/tags/v%{version}-master.tar.gz
Patch0:         iio-oscilloscope-compilefix.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gtk2-devel
BuildRequires:  gtkdatabox3-devel
BuildRequires:  jansson-devel
BuildRequires:  libad9361-devel
BuildRequires:  libiio-devel
BuildRequires:  libxml2-devel
BuildRequires:  matio-devel
BuildRequires:  fftw-devel
BuildRequires:  libcurl-devel
BuildRequires:  pkgconf

%description
IIO Oscilloscope

%prep
%autosetup -n %{name}-%{version}-master


%build
%cmake
%cmake_build


%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/osc
%{_bindir}/osc-wrapper
%{_libdir}/libosc.so
%{_libdir}/libosc.so.0
%{_libdir}/libosc.so.0.8
%{_libdir}/osc
%{_datadir}/applications/adi-osc.desktop
%{_datadir}/icons/hicolor/*/apps/adi-osc.*
%{_datadir}/osc
%{_datadir}/polkit-1/actions/org.adi.pkexec.osc.policy


%changelog
* Tue Mar 05 2024 Thomas Sailer <fedora@tsailer.ch> - 0.17-1
- update to 0.17

* Sat Nov 26 2022 Thomas Sailer <fedora@tsailer.ch> - 0.14-1
- initial version
